Criar segredo
curl --request POST \
--url https://api.devin.ai/v1/secrets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>",
"key": "<string>",
"value": "<string>",
"sensitive": true,
"note": "<string>"
}
'import requests
url = "https://api.devin.ai/v1/secrets"
payload = {
"type": "<string>",
"key": "<string>",
"value": "<string>",
"sensitive": True,
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: '<string>',
key: '<string>',
value: '<string>',
sensitive: true,
note: '<string>'
})
};
fetch('https://api.devin.ai/v1/secrets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}Endpoints de segredos
Criar segredo
Crie um novo segredo na sua organização
POST
/
v1
/
secrets
Criar segredo
Crie um novo segredo criptografado que pode ser usado em sessões do Devin. O segredo ficará disponível para todas as sessões criadas depois que ele for adicionado.
Corpo da requisição
Tipo de segredo. Deve ser um dos seguintes:
cookie, key-value, totpNome definido pelo usuário para o segredo. Deve ser exclusivo dentro da organização.
Valor do segredo a ser armazenado. Será criptografado em repouso.
Indica se o segredo deve ser tratado como sigiloso e ocultado nos logs.
Observação opcional que descreve a finalidade do segredo.
Resposta
O identificador único do segredo criado
⌘I

